List Comments
/unified/ticketing/comments
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The ticket to which the comment belongs
48 supported33 required9 notes
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
Set either ticket or collections.
Either ticket or collections is required.
The unique identifier for a ticket
The unique identifier for a workspace
3 supported3 required
The unique identifier for a collection
1 supported1 required
The unique identifier for a ticket
9 supported9 required
The unique identifier for a workspace
3 supported3 required
3 supported1 required3 notes
The unique identifier for a ticket
Collection with type epic is required.
Either ticket or collections is required.
The unique identifier for a collection.
The unique identifier for the team.
1 supported
The date and time when the comment was created
47 supported
Set this value as true to get internal comments.
true
18 supported
created_atupdated_at
2 supported
The date and time when the comment was created
ascdesc
1 supported
The date and time when the comment was updated
27 supported
Whether the comment is private or not
19 supported
1 supported
The unique identifier for a organization.
issuetask
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Comments
The unique identifier for a comment
49 supported
The attachments of the comment
29 supported
7 properties
The content type of the attachment
The time when the attachment was created
The attachment's name.
The URL to download the attachment
The unique identifier for the attachment
The user who uploaded the attachment
2 properties
The user who uploaded the attachment
The user who uploaded the attachment
The type of the user who uploaded the attachment
The id of the user or contact who created the comment
46 supported
4 properties
The id of the user or contact who created the comment
Type of the author
usercontactsystem
The name of the user or contact who created the comment
The username of the user or contact who created the comment
The body of the comment
45 supported
The medium through which the comment was sent.
11 supported
3 properties
The unique identifier for the channel
The name of the channel
The type of the channel
The date and time when the comment was created
47 supported
The unique identifier for the specific version of the resource.
The body of the comment in HTML format
26 supported
Whether the comment is internal. True for internal notes left by users.
18 supported
Whether the comment is private or not
19 supported
The id of the user or contact who is receiving the comment
8 supported
3 properties
The id of the user or contact who receiving the comment
Type of the receiver
usercontactsystem
The name of the user or contact who receiving the comment
Raw data returned from the remote API call.
The ticket to which the comment belongs
46 supported
1 property
The unique identifier for a ticket
The date and time when the comment was updated
27 supported
curl -X GET 'https://api.truto.one/unified/ticketing/comments?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/comments?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/comments"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'comments',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"comments",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())